## Contents

- Properties

class solace.SessionEventCBInfo

Creates an instance of SessionEventCBInfo.

Deprecated: The solace.Session is an EventEmitter. Register event handlers against solace.SessionEventCode events instead.

## Constructor Top

| SessionEventCBInfo ( function sessionEventCBFunction, Object userObject ) |  |

## Properties Top

function | sessionEventCBFunction |  |
Object | userObject |  |

## Constructor details Top

###
SessionEventCBInfo ( function sessionEventCBFunction, Object userObject )

Creates an instance of SessionEventCBInfo.

Deprecated: The solace.Session is an EventEmitter. Register event handlers against solace.SessionEventCode events instead.

#### Parameters

function | sessionEventCBFunction invoked by the Messaging API when a session event occurs. The prototype of this function is the following: (solace.Session, solace.SessionEvent, {Object}})
Object | userObject An optional user-specified object passed on every session event callback.

## Properties Detail Top

###
public function sessionEventCBFunction

The prototype of this function is the following: (solace.Session, solace.SessionEvent, userObject {Object}, RFUObject {Object})

###
public Object userObject

user-specified object